# Class CountingMapQFilter

java.lang.Object
picard.filter.CountingFilter
picard.filter.CountingMapQFilter

All Implemented Interfaces:
  `htsjdk.samtools.filter.SamRecordFilter`

public class CountingMapQFilter extends CountingFilter
Counting filter that discards reads below a configurable mapping quality threshold.

## Constructor Summary

Constructors
Constructor
Description
`CountingMapQFilter(int minMapq)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`reallyFilterOut(htsjdk.samtools.SAMRecord record)`
Return true if we are to filter this record out, false otherwise.

### Methods inherited from class CountingFilter

`filterOut, filterOut, getFilteredBases, getFilteredRecords`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CountingMapQFilter

public CountingMapQFilter(int minMapq)

## Method Details

### reallyFilterOut

public boolean reallyFilterOut(htsjdk.samtools.SAMRecord record)
Description copied from class: `CountingFilter`
Return true if we are to filter this record out, false otherwise.

Specified by:
  `reallyFilterOut` in class `CountingFilter`